Bug 768521

Summary: [abrt] xfce4-panel-4.8.6-3.fc16: strcmp: Process /usr/bin/xfce4-panel was killed by signal 11 (SIGSEGV)
Product: [Fedora] Fedora Reporter: Yuri <fyra>
Component: xfce4-panelAssignee: Kevin Fenzi <kevin>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 17CC: adriandariodiazlopez, alan, cwickert, dagrove, fms.dynnes, fznwin, handyj, hellboydvd, hoffmann, ich.sound, joanitah, joey10946, jon.mayo, keith.rackleff, kevin, kiranpavithran, luca.pellacani, marotig, maxamillion, mothlight, pmoravec, rjones, semberal, spqr, uzytkownik2
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: i686   
OS: Unspecified   
Whiteboard: abrt_hash:86477caa0830e4561445305f294dce8678a479e9
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-08-01 13:23:45 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
File: dso_list
none
File: build_ids
none
File: smolt_data
none
File: maps
none
File: backtrace
none
File: backtrace
none
File: backtrace
none
File: backtrace
none
File: backtrace
none
File: backtrace none

Description Yuri 2011-12-16 16:42:42 EST
libreport version: 2.0.7
abrt_version:   2.0.6
backtrace_rating: 4
cmdline:        xfce4-panel
crash_function: strcmp
executable:     /usr/bin/xfce4-panel
kernel:         3.1.5-2.fc16.i686.PAE
pid:            1547
pwd:            /home/vet
reason:         Process /usr/bin/xfce4-panel was killed by signal 11 (SIGSEGV)
time:           Пт. 16 дек. 2011 22:51:56
uid:            1000
username:       vet
xsession_errors: xfce4-panel-Message: Plugin "(null)-5" was not found and has been removed from the configuration

backtrace:      Text file, 84013 bytes
build_ids:      Text file, 3198 bytes
dso_list:       Text file, 8272 bytes
maps:           Text file, 23213 bytes
smolt_data:     Binary file, 3132 bytes

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=2
:SSH_AGENT_PID=1510
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/home/vet/.gnupg/S.gpg-agent:1530:1
:GLADE_PIXMAP_PATH=:
:XDG_MENU_PREFIX=xfce-
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=ac67ca9fe95d437fe915ded60000000b-1324068653.200354-846828413
:GNOME_KEYRING_CONTROL=/tmp/keyring-wjQCXf
:'IMSETTINGS_MODULE=X compose table'
:USER=vet
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/tmp/ssh-pfbqPYen1367/agent.1367
:USERNAME=vet
:XDG_CONFIG_DIRS=/etc/xdg
:MAIL=/var/spool/mail/vet
:DESKTOP_SESSION=xfce
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/vet/.local/bin:/home/vet/bin
:QT_IM_MODULE=xim
:PWD=/home/vet
:XMODIFIERS=@im=none
:LANG=ru_RU.UTF-8
:GNOME_KEYRING_PID=1363
:GDMSESSION=xfce
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:SHLVL=2
:XDG_SEAT=seat0
:HOME=/home/vet
:LOGNAME=vet
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-8s3Laqrz3z,guid=8125d7d76bff45ff0b6234970000006e
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:DISPLAY=:0.0
:XDG_RUNTIME_DIR=/run/user/vet
:GLADE_CATALOG_PATH=:
:LIBGLADE_MODULE_PATH=:
:XAUTHORITY=/var/run/gdm/auth-for-vet-w52iJD/database
:_=/usr/bin/xfce4-session
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1540,unix/unix:/tmp/.ICE-unix/1540

var_log_messages:
:Dec 16 22:51:56 localhost kernel: [  174.236391] xfce4-panel[1547]: segfault at 2e1110d ip 0111680b sp bfb9c2fc error 4 in libc-2.14.90.so[fcf000+1a6000]
:Dec 16 22:51:57 localhost abrt[2082]: Saved core dump of pid 1547 (/usr/bin/xfce4-panel) to /var/spool/abrt/ccpp-2011-12-16-22:51:56-1547 (12791808 bytes)
Comment 1 Yuri 2011-12-16 16:42:46 EST
Created attachment 547974 [details]
File: dso_list
Comment 2 Yuri 2011-12-16 16:42:48 EST
Created attachment 547975 [details]
File: build_ids
Comment 3 Yuri 2011-12-16 16:42:50 EST
Created attachment 547976 [details]
File: smolt_data
Comment 4 Yuri 2011-12-16 16:42:52 EST
Created attachment 547977 [details]
File: maps
Comment 5 Yuri 2011-12-16 16:42:55 EST
Created attachment 547978 [details]
File: backtrace
Comment 6 Kevin Fenzi 2011-12-16 18:38:33 EST
What were you doing when this happened? Can you duplicate the action that caused the crash?
Comment 7 Raphael Groner 2012-01-19 12:55:42 EST
switch to Equinox Evolution theme

backtrace_rating: 4
Package: xfce4-panel-4.8.6-3.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 8 Raphael Groner 2012-01-19 12:55:47 EST
Created attachment 556338 [details]
File: backtrace
Comment 9 Yuri 2012-01-20 03:29:11 EST
(In reply to comment #6)
> What were you doing when this happened? Can you duplicate the action that
> caused the crash?
Usually it's happend just after login. 
But last system update (from kernel 3.1.4 to 3.1.6) have fixed it.
Comment 10 Christoph Wickert 2012-01-20 19:03:46 EST
*** Bug 783237 has been marked as a duplicate of this bug. ***
Comment 11 Christoph Wickert 2012-01-20 19:04:01 EST
*** Bug 783235 has been marked as a duplicate of this bug. ***
Comment 12 udtduetl 2012-01-28 11:53:41 EST
I've created new empty panel, them remove the two old panels. I wanted to add Notification Area to the new panel, so I dragged it from Add New Items dialog to the new panel. Then xfce4-panel crashed.

backtrace_rating: 4
Package: xfce4-panel-4.8.6-3.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 13 udtduetl 2012-01-28 11:53:45 EST
Created attachment 558068 [details]
File: backtrace
Comment 14 Raphael Groner 2012-01-30 17:19:19 EST
I think this bug can be assigned to oxygen-gtk package. The whole Xfce session crashes if you switch from theme oxygen-gtk to another theme, it does not matter which theme is the new one.
Comment 15 ich.sound 2012-02-27 03:32:50 EST
I was adding several new items to the panel. I just recently added the cpu info, the data+time and the monitor brightness, so likely one of these break the panel.

backtrace_rating: 4
Package: xfce4-panel-4.8.6-3.fc16
OS Release: Fedora release 16 (Verne)
Comment 16 ich.sound 2012-02-27 03:32:55 EST
Created attachment 565987 [details]
File: backtrace
Comment 17 Raphael Groner 2012-02-27 07:51:51 EST
(In reply to comment #15)
What theme are you using and can you reproduce this crash with another theme applied? As stated in comment #14, I suspect oxygen-gtk as the package to blaim.
Comment 18 abrt-bot 2012-03-21 11:11:33 EDT
*** Bug 690895 has been marked as a duplicate of this bug. ***
Comment 19 abrt-bot 2012-03-21 11:11:45 EDT
*** Bug 737314 has been marked as a duplicate of this bug. ***
Comment 20 abrt-bot 2012-03-30 08:03:33 EDT
Backtrace analysis found this bug to be similar to some already closed bugs from other components. You might want to check those bugs for additional information.

Bugs which were found to be similar to this bug: 
  control-center: bug #548503
  evolution: bug #608960
  gcompris: bug #563786
  gnome-shell: bug #737314
  rhythmbox: bug #568324
  totem: bug #544810
  xfce4-panel: bug #690895, bug #715321, bug #758394, bug #758395, bug #765711

This comment is automatically generated.
Comment 21 Kerry 2012-04-12 01:11:55 EDT
Right click, add new item

backtrace_rating: 4
Package: xfce4-panel-4.8.6-3.fc16
OS Release: Fedora release 16 (Verne)
Comment 22 Kerry 2012-04-12 01:12:04 EDT
Created attachment 576938 [details]
File: backtrace
Comment 23 John 2012-04-12 18:46:59 EDT
Tried to add a separator to the panel.

backtrace_rating: 4
Package: xfce4-panel-4.8.6-3.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 24 John 2012-04-12 18:47:03 EDT
Created attachment 577188 [details]
File: backtrace
Comment 25 Andrey Panasyuk 2012-06-12 01:22:31 EDT
Trying to add applet onto XFCE panel

backtrace_rating: 4
Package: xfce4-panel-4.8.6-4.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 26 Tore Anderson 2012-06-13 08:22:32 EDT
attempted to open the panel settings box

backtrace_rating: 4
Package: xfce4-panel-4.8.6-4.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 27 Maciek Borzecki 2012-06-26 05:18:52 EDT
Added directory menu plugin to xfce panel

backtrace_rating: 4
Package: xfce4-panel-4.8.6-3.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 28 bill hudacek 2012-07-04 15:01:04 EDT
tried to add orage to panel after removing the clock-only applet. signal 11 immediate.

backtrace_rating: 4
Package: xfce4-panel-4.8.6-4.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 29 Mehmet Köse 2012-08-03 11:42:28 EDT
I removed clock applet, was trying to enable orage

backtrace_rating: 4
Package: xfce4-panel-4.8.6-4.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 30 laura 2012-09-28 02:03:14 EDT
not really sure just installed and now looking around.

backtrace_rating: 4
Package: xfce4-panel-4.8.6-4.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 31 info 2012-10-08 18:19:48 EDT
add item to panel

backtrace_rating: 4
Package: xfce4-panel-4.8.6-4.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 32 Darío 2012-10-26 10:57:07 EDT
en primer lugar estaba añadiendo reloj en el panel fe fedora y de pronto, se cerro el proceso de los paneles.

backtrace_rating: 4
Package: xfce4-panel-4.8.6-4.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 33 MG 2012-10-28 20:31:57 EDT
How did the problem occur?
When adding the applet ``Show desktop'' to an XFCE4 panel.

Reproducibility.
Cannot reproduce the problem.


backtrace_rating: 4
Package: xfce4-panel-4.8.6-4.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 34 Dirk Hoffmann 2012-12-13 18:00:05 EST
How did the problem occur?
When adding the applet ``Eyes'' to an XFCE4 panel.

Reproducibility.
Could not reproduce it. (Added applet in the second attempt.)
Comment 35 Fedora End Of Life 2013-01-16 18:04:47 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 36 Peter 2013-01-30 04:38:58 EST
Tried to add an app in a launcher panel, problem occured right after clicking "+";

non-reproducible


backtrace_rating: 4
Package: xfce4-panel-4.10.0-2.fc18
Architecture: x86_64
OS Release: Fedora release 18 (Spherical Cow)
Comment 37 Fedora End Of Life 2013-02-13 20:32:26 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 38 Dirk Hoffmann 2013-02-14 03:28:41 EST
(In reply to comment #34)
> How did the problem occur?
> When adding the applet ``Eyes'' to an XFCE4 panel.
> 
> Reproducibility.
> Could not reproduce it. (Added applet in the second attempt.)

I had this error on Fedora17! Sorry, the duplicate was auto-detected by abrt, and I did not check the version under which it had originally been submitted.

Please correct this and reopen the bug.
Comment 39 Alan Milnes 2013-02-27 04:52:15 EST
Also present in Fedora 18.
Comment 40 Christoph Wickert 2013-02-27 07:00:05 EST
(In reply to comment #39)
> Also present in Fedora 18.

Fedora 18 comes with Xfce 4.10, a new major version. I highly doubt this is the same crash, please submit a new report with a new backtrace.
Comment 41 Alan Milnes 2013-02-27 07:33:12 EST
This was an automated solution following the crash - how do I resubmit?
Comment 42 Dirk Hoffmann 2013-02-27 08:04:58 EST
(In reply to comment #40)
> (In reply to comment #39)
> > Also present in Fedora 18.
> 
> Fedora 18 comes with Xfce 4.10, a new major version. I highly doubt this is
> the same crash, please submit a new report with a new backtrace.

Strangely enough, abrt very often decides that "this bug has already been submitted", and the reporter is just added to a list. Then, after some time the original release is outdated, all newer bug reports do not contain the correct release number nor the complete annex information like backtraces, and all bugs are forgotten and wiped out.

This looks like a failure by design in the bug tracking system. Any idea how to fix this general behaviour of abrt/bugzilla interplay?
Comment 43 Dirk Hoffmann 2013-02-27 08:07:49 EST
(In reply to comment #41)
> This was an automated solution following the crash - how do I resubmit?

To start getting acquainted with bugzillza, you can go to https://bugzilla.redhat.com/show_bug.cgi?id=768521, where your bug had ended up. 

In order to submit the backtrace for your bug, if you haven't auto-deleted the bug report after reporting, you probably need to go back to your bug tracer (abrt?) and extract the necessary information manually. If you just try to submit the bug again with the same interface, it will obviously just identify this bug as a duplicate again and do nothing more.
Comment 44 Kerry 2013-02-27 21:48:33 EST
 (In reply to comment #42)
> 
> Strangely enough, abrt very often decides that "this bug has already been
> submitted", and the reporter is just added to a list. Then, after some time
> the original release is outdated, all newer bug reports do not contain the
> correct release number nor the complete annex information like backtraces,
> and all bugs are forgotten and wiped out.
> 

I filed a bug ( https://bugzilla.redhat.com/show_bug.cgi?id=681385 ) way back in Fedora 14 about abrt's problems with duplicate bug reports, in this case, not filing bugs for bugs which have been automatically closed as EOL. So far, nothing has happened. 

Detecting duplicates for abrt seems useful, but it also seems to cause lots of problems, notably artificially suppressing bug reports. In my opinion, it should stop detecting it as a duplicate if the package is part of a different release. Or at least create a new bug for the new package and mark it as a potential duplicate.
Comment 45 Fedora End Of Life 2013-07-04 02:02:11 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 46 Fedora End Of Life 2013-08-01 13:23:55 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.